package com.jz.dmp.modules.controller.DataIntegration.bean;


import com.jz.common.page.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @ClassName: CheckJyRlueStatusReq
 * @Description: 校验状态详情 --查看
 * @Author：Bellamy
 * @Date 2020/12/21
 * @Version 1.0
 */
@ApiModel(value = "校验状态详情--查看请求参数对象", description = "校验状态详情 --查看")
public class CheckJyRlueStatusReq extends BasePageBean {
    /*
    * 项目ID
    * */
    @NotNull(message = "执行ID不能为空")
    @NotEmpty(message = "执行ID不能空")
    @ApiModelProperty(value = "执行ID")
    private String executionId;

    public String getExecutionId() {
        return executionId;
    }

    public void setExecutionId(String executionId) {
        this.executionId = executionId;
    }
}
